---
search:
  tags:
    - Scans
    - GET
seo:
  description: >-
    Get a scan. Reference for the GET /scans/{scan_id} endpoint in the Zaraftis
    Public API.
sidebar:
  label: Get a scan
  badge: GET
title: Get a scan
type: openapi-operation
---
`GET /scans/{scan_id}`

**Responses**

- `200` — One scan with stored metrics (detail adds started\_at and error\_message)
- `404` — not\_found: unknown id, or an id this key cannot see

Response example, 200:

```json
{
  "success": true,
  "data": {
    "scan_id": "9a59f0f5-5572-476d-a7fc-c960ef43a5af",
    "brand_id": "1bb61461-e5e3-4ebb-8cc6-5b0c37f1b7da",
    "brand_name": "string",
    "status": "queued",
    "triggered_by": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "completed_at": "2019-08-24T14:15:22Z",
    "country": "st",
    "language": "string",
    "platforms": [
      "string"
    ],
    "prompt_count": 0,
    "requested": 0,
    "completed": 0,
    "failed": 0,
    "setup_id": "223e7533-659b-4438-b6f4-f841a5d7dfa9",
    "setup_version_id": "46e86b42-ef3c-4109-b8e4-2fc5ae51285c",
    "setup_checksum": "string",
    "metrics": {
      "property1": {
        "value": 0,
        "quality": "complete",
        "method_version": "string"
      },
      "property2": {
        "value": 0,
        "quality": "complete",
        "method_version": "string"
      }
    },
    "started_at": "2019-08-24T14:15:22Z",
    "error_message": "string"
  },
  "request_id": "string"
}
```
